"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AmqpChannelFactory = void 0;
const amqp_channel_1 = require("./amqp.channel");
const common_1 = require("@nestjs/common");
const messaging_1 = require("@nestjstools/messaging");
let AmqpChannelFactory = class AmqpChannelFactory {
    create(channelConfig) {
        return new amqp_channel_1.AmqpChannel(channelConfig);
    }
};
exports.AmqpChannelFactory = AmqpChannelFactory;
exports.AmqpChannelFactory = AmqpChannelFactory = __decorate([
    (0, common_1.Injectable)(),
    (0, messaging_1.ChannelFactory)(messaging_1.AmqpChannelConfig)
], AmqpChannelFactory);
//# sourceMappingURL=amqp-channel.factory.js.map